Bug 59276 - [Gtk] No need to erase background before loading a new page
Summary: [Gtk] No need to erase background before loading a new page
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Joone Hur
URL:
Keywords: Gtk
Depends on: 59821
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-23 08:25 PDT by Joone Hur
Modified: 2011-05-09 17:03 PDT (History)
3 users (show)

See Also:


Attachments
Propsed Patch (2.11 KB, patch)
2011-04-25 15:45 PDT, Joone Hur
mrobinson: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joone Hur 2011-04-23 08:25:04 PDT
WebKitGtk+ erases background before loading a new page.
So, if it takes some time to load the page, users have to see the empty page for a second.
This makes the user think that the page loading is very slow.

However, in the case of other WebKit based browser, 
they leave the current page before preparing the layout of a new page, 
and then just replace the current page with the new one.
Comment 1 Joone Hur 2011-04-25 15:45:34 PDT
Created attachment 90968 [details]
Propsed Patch
Comment 2 Xan Lopez 2011-04-26 15:45:46 PDT
Comment on attachment 90968 [details]
Propsed Patch

Isn't finishedLoad extremely late for us to attach the adjusments?
Comment 3 Xan Lopez 2011-04-26 15:52:18 PDT
OK, this is the load finished for the DOM Document, not for the whole thing, I think. I believe Martin is working to remove the need to attach adjustments entirely in any case, so perhaps we want to wait for that.
Comment 4 Martin Robinson 2011-04-26 15:57:04 PDT
Comment on attachment 90968 [details]
Propsed Patch

Going to r- this one now, as hopefully in a few days we won't need to attach adjustments at all. If that approach fails though, please ping me later and we can re-address this one.
Comment 5 Joone Hur 2011-05-09 17:03:52 PDT
#59821 fixed this issue.